RawJavaFileObject (Groovy 3.0.7)

Package org.codehaus.groovy.tools.javac

## Class RawJavaFileObject

- java.lang.Object
- - javax.tools.SimpleJavaFileObject
  - - org.codehaus.groovy.tools.javac.RawJavaFileObject

- All Implemented Interfaces:
    `FileObject`, `JavaFileObject`

      public class RawJavaFileObject
      extends SimpleJavaFileObject

  Represents a Java source file in file to compile
  Since:
    3.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.tools.JavaFileObject

      `JavaFileObject.Kind`

  - ### Field Summary

    - ### Fields inherited from class javax.tools.SimpleJavaFileObject

      `kind, uri`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RawJavaFileObject​(URI uri)` | Construct a RawJavaFileObject of the given kind and with the given URI.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `delete()` | delete the Java source file
    `boolean` | `equals​(Object o)` |
    `CharSequence` | `getCharContent​(boolean ignoreEncodingErrors)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class javax.tools.SimpleJavaFileObject

      `getAccessLevel, getKind, getLastModified, getName, getNestingKind, isNameCompatible, openInputStream, openOutputStream, openReader, openWriter, toUri`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RawJavaFileObject

          public RawJavaFileObject​(URI uri)

      Construct a RawJavaFileObject of the given kind and with the given URI.
      Parameters:
        `uri` - the URI for this file object

  - ### Method Detail

    - #### getCharContent

          public CharSequence getCharContent​(boolean ignoreEncodingErrors)
                                      throws IOException

      Specified by:
        `getCharContent` in interface `FileObject`
      Overrides:
        `getCharContent` in class `SimpleJavaFileObject`
      Throws:
        `IOException`

    - #### delete

          public boolean delete()

      delete the Java source file
      Specified by:
        `delete` in interface `FileObject`
      Overrides:
        `delete` in class `SimpleJavaFileObject`
      Returns:
        `true` if deleted successfully

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SimpleJavaFileObject`